# OptiVorbis Code of Conduct

## Our Pledge

We as members, contributors, and leaders pledge to make participation in our community a welcoming, diverse, open, harassment-free and fulfilling experience for everyone, regardless of any personal characteristic, to foster a healthy community.

## Scope

This Code of Conduct applies within all community spaces, and outside of community spaces when an individual is officially representing the community. Examples of representing our community include using an official account, being authorized to speak in the name of it and doing so, or acting as an appointed representative at an event.

## Our Standards

To honor our pledge, we strive to:

### Be considerate

Our work will be used by other people, and we in turn will depend on the work of others. Any decision we take will affect users and colleagues, and we should consider them when making decisions. Feedback should be constructively given and gracefully accepted. Openness, fairness and equality are among the guiding principles of our acts and decisions.

### Be respectful

Disagreement is no excuse for poor manners. We work together to resolve conflict, assume good intentions and do our best to act in a kind, empathic fashion. We don’t allow frustration to turn into a personal attack. A community where people feel uncomfortable or threatened is not a welcoming one.

### Take responsibility for our words and our actions

We can all make mistakes; when we do, we take responsibility for them. If someone has been harmed or offended, we listen carefully and respectfully, and work to right the wrong.

### Be collaborative

What we produce is a complex whole made of many parts. Collaboration is essential; for the whole to be more than the sum of its parts, each part must make an effort to understand the whole.

Collaboration reduces redundancy and improves the quality of our work. Internally and externally, we celebrate good collaboration. Wherever possible, we work closely with upstream projects and others in the free software community to coordinate our efforts. We prefer to work transparently and involve interested parties as early as possible.

### Be quality-oriented

Even though quality is a broad concept with many definitions and interpretations, in no way we should be satisfied with work that does not follow established best practices, is sketchy, or does not meet reasonable expectations around it.

Quality work is what makes our project stand out as useful in a wide variety of contexts and trustworthy. When we are aware that some work is not of the best quality, we should improve on it. If we cannot do that right away, we must at least manage expectations and plan for its improvement.

### Value decisiveness, clarity and consensus

Disagreements, social and technical, are normal, but we do not allow them to persist and fester leaving others uncertain of the agreed direction.

We expect participants in the project to resolve disagreements constructively. When they cannot, we escalate the matter to arbitrate and provide clarity and direction.

### Step down considerately

When somebody leaves or disengages from the project, we ask that they do so in a way that minimises disruption to the project. They should tell people they are leaving and take the proper steps to ensure that others can pick up where they left off.

## Enforcement Responsibilities

Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior, and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful to this Code of Conduct.

Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement by using the GitHub content report feature, or other explicitly stated, space-specific channels when applicable. All complaints will be reviewed and investigated fairly as soon as possible, and will result in a response that is deemed necessary and appropriate to the circumstances, including, but not limited to, excluding the offender from interaction temporarily or permanently. Anyone asked to stop unacceptable behavior is expected to comply immediately.

All community leaders are obligated to respect the privacy and security of the reporter of any incident. Community leaders who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership.

## Attribution

This Code of Conduct is adapted from the Contributor Covenant, versions 1.4 and 2.1, available at https://www.contributor-covenant.org/version/1/4/code-of-conduct/ and https://www.contributor-covenant.org/version/2/1/code_of_conduct.html.

Some parts were adapted from the Ubuntu Code of Conduct, available at https://ubuntu.com/community/code-of-conduct, the Citizen Code of Conduct, available at https://github.com/stumpsyn/policies/blob/master/citizen_code_of_conduct.md, and the Rust Code of Conduct, available at https://prev.rust-lang.org/en-US/conduct.html.
